Recent log lines of the app's pods (at most 10 pods).
GET
/api/v1/projects/{project}/environments/{environment}/apps/{app}/logs
const url = 'https://example.com/api/v1/projects/example/environments/example/apps/example/logs';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/projects/example/environments/example/apps/example/logsParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project
required
string
Project name
environment
required
string
Environment short name
app
required
string
App name
Query Parameters
Section titled “Query Parameters”tail
integer format: int64
Lines per pod (1–2000, default 200).
process
string
Only pods of this process.
previous
boolean
Logs of the previous (crashed) container instance.
Responses
Section titled “Responses”Media typeapplication/json
Array<object>
object
pod
required
string
process
string | null
lines
required
Array<string>
error
Why no logs could be read (e.g. the container is still starting).
string | null
Examplegenerated
[ { "pod": "example", "process": "example", "lines": [ "example" ], "error": "example" }]Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}